//go:generate develvoip_generateCommon
//go:generate reform --gofmt=false

package local_pbx

import (
	"github.com/revel/revel"
)

//generateCommon:modelFunctions
//reformOptions:imitateGorm
//reform:pbx.sip_users_dynamic
type SipUser struct {
	Id int `json:",omitempty" gorm:"primary_key"`

	ItemCommon `reform:",embedded:item_common.go" gorm:"embedded:embedded;file:item_common.go"`

	Name   string `json:",omitempty" sql:"unique_index"`
	Secret string `json:",omitempty" generate:"password" randomChars:"0123456789abcdefghijklmnoprstuvwxyzABCDEFGHIJKLMNOPRSTUVWXYZ" randomLen:"12"`
	//Context string `reform:"context"`
}

func (item SipUser) KeyIsEqualsTo(compareToI interface{}) bool {
	revel.ERROR.Fatalf("Wrong method for SipUser")
	return false
}
