package utModels

//go:generate reform --gofmt=false

// see https://devel.mephi.ru/dyokunev/wwwvoip/raw/master/doc/ru/oir/description-prem_rooms.txt
//reformOptions:imitateGorm
//reform:prem_rooms
type OirRoom struct {
	Id                   int      `gorm:"column:id"`
	Name                 string   `gorm:"column:Aud"`
	Space                *string  `gorm:"column:Square"`
	Unit0CodeStr         *string  `gorm:"column:Kod"`
	Unit1CodeStr         *string  `gorm:"column:Kod2"`
	OrderCode            *string  `gorm:"column:Warrant_number"`
	OrderDate            *string  `gorm:"column:Warrant_date"`
	EquipmentComments    *string  `gorm:"column:Equipment"`
	Type                 *string  `gorm:"column:Type"`
	TypeComment          *string  `gorm:"column:Imposition"`
	Comment              *string  `gorm:"column:Description"`
	UseScheduleComment   string   `gorm:"column:graphuse"`
	UsePercent           *float32 `gorm:"column:timeuse"`
	UseEffectivity       *string  `gorm:"column:Effective"`
	ConditionDescription *string  `gorm:"column:State"`
	CeilingHeight        *float32 `gorm:"column:Roof_height"`
	HasInternetPorts     *string  `gorm:"column:internet"`
	HasWaterSystem       *string  `gorm:"column:Water"`
	HasElectricity       *string  `gorm:"column:Electricity"`
	HasGas               *string  `gorm:"column:Gas"`
}
