package specialAPIModels

import (
	I "devel.mephi.ru/dyokunev/wwwvoip/app/iface"
	"github.com/revel/revel"
	"voip/app/models"
)

type Line struct {
	Appointment
}

type Lines []Line

func (lines *Lines) IConvert(apiHost string, affiliateUnit *models.Unit) (I.Slice, error) {
	var convertedLines models.Lines

	extensionIsBusy := map[string]bool{}

	for _, lineAppointment := range *lines {
		revel.TRACE.Printf("lineAppointment == %v", lineAppointment)

		if lineAppointment.Line == "" {
			continue
		}
		if extensionIsBusy[lineAppointment.Line] {
			continue
		}
		extensionIsBusy[lineAppointment.Line] = true

		var convertedLine models.Line

		{
			appointmentId := lineAppointment.Id
			personId := lineAppointment.PersonId
			convertedLine = models.Line{
				SourceAPIHost:           &apiHost,
				SpecialAPIId:            &appointmentId,
				SpecialAPIAppointmentId: &appointmentId,
				SpecialAPIPersonId:      &personId,
				Extension:               lineAppointment.Line,
				Context:                 models.CONTEXT_FULL,
				SecurityLevel:           -50,
			}
			convertedLine.Notes = "Autocreated affiliate line"
		}

		convertedLines = append(convertedLines, convertedLine)
	}

	return convertedLines, nil
}
